Upload Document Individual
POST
https://dev-api.monoova.com/kyb/v1/UploadDocumentInd
Body Parameters
- bodyUpload_Document_IndividualExample
{ "applicantId": "4242424242424x424242424242424242", "docType": "ID_CARD", "docSubType": "FRONT_SIDE", "docCountryISO": "AUS", "docFile": { "filename": "idcard_australia.jpg", "contents": "/9j/4AAQSkZJRgABAQAAAQABAAD..." } }- applicantIdstringrequired
- docTypestringrequired
- docSubTypestring
- docCountryISOstringrequired
- docFileobjectrequired
- filenamestring
- contentsstring
Responses
200
- Upload_Document_Individual_-_ResponseExample
{ "applicantId": "string", "documentType": "string", "documentSubType": "string", "country": "string", "errors": [], "warnings": [] }- applicantIdstring
- documentTypestring
- documentSubTypestring
- countrystring
- errorsobject[]
- warningsobject[]
400
curl
curl --request POST \
--url https://dev-api.monoova.com/kyb/v1/UploadDocumentInd \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"applicantId": "",
"docType": "",
"docCountryISO": "",
"docFile": {}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"applicantId": "",
"docType": "",
"docCountryISO": "",
"docFile": {}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://dev-api.monoova.com/kyb/v1/UploadDocumentInd", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev-api.monoova.com/kyb/v1/UploadDocumentInd")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"applicantId": "",
"docType": "",
"docCountryISO": "",
"docFile": {}
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev-api.monoova.com/kyb/v1/UploadDocumentInd"
payload = json.dumps({
"applicantId": "",
"docType": "",
"docCountryISO": "",
"docFile": {}
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
{
"applicantId": "",
"documentType": "",
"documentSubType": "",
"country": "",
"errors": [
{}
],
"warnings": [
{}
]
}400
This endpoint allows you to upload document and selfie images directly via API. You may want to do this to fully customise the look and feel of the verification process within your website or application.
Each call can only receive one document. If you're uploading double-sided documents, make sure to send FRONT_SIDE and BACK_SIDE in the docSubType parameter. Verifications won't proceed until all required document images, sides and/or selfie images are uploaded - if applicable to your chosen flow.